<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="blackboardMessageFactory" class="eu.dnetlib.miscutils.jaxb.JaxbFactory">
		<constructor-arg
			value="eu.dnetlib.enabling.tools.blackboard.BlackboardMessageImpl" />
	</bean>

	<bean id="blackboardHandler"
		class="eu.dnetlib.enabling.tools.blackboard.BlackboardHandlerImpl"
		p:messageFactory-ref="blackboardMessageFactory" p:serviceLocator-ref="uniqueServiceLocator" />

	<bean id="blackboardClientHandler"
		class="eu.dnetlib.enabling.tools.blackboard.BlackboardClientHandlerImpl"
		p:messageFactory-ref="blackboardMessageFactory" p:serviceLocator-ref="uniqueServiceLocator" />
</beans>
